| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::GMatDesc Struct Reference
G-API framework » G-API Data Types » G-API Metadata Descriptors

`#include <opencv2/gapi/gmat.hpp>`

## Public Member Functions
| GMatDesc (int d, int c, cv::Size s, bool p=false)
| GMatDesc (int d, const std::vector< int > &dd)
| GMatDesc (int d, std::vector< int > &&dd)
| GMatDesc ()
GMatDesc | asInterleaved () const
GMatDesc | asPlanar () const
GMatDesc | asPlanar (int planes) const
bool | canDescribe (const cv::gapi::own::Mat &mat) const
bool | canDescribe (const cv::Mat &mat) const
bool | isND () const
bool | operator!= (const GMatDesc &rhs) const
bool | operator== (const GMatDesc &rhs) const
GMatDesc | withDepth (int ddepth) const
GMatDesc | withSize (cv::Size sz) const
GMatDesc | withSizeDelta (cv::Size delta) const
GMatDesc | withSizeDelta (int dx, int dy) const
GMatDesc | withType (int ddepth, int dchan) const

## Public Attributes
int | chan
int | depth
std::vector< int > | dims
bool | planar
cv::Size | size

## Constructor & Destructor Documentation

## ◆ GMatDesc() [1/4]

cv::GMatDesc::GMatDesc | ( | int | d,
|  | int | c,
|  | cv::Size | s,
|  | bool | p = `false`
| ) |  |
| inline

## ◆ GMatDesc() [2/4]

cv::GMatDesc::GMatDesc | ( | int | d,
|  | const std::vector< int > & | dd
| ) |  |
| inline

## ◆ GMatDesc() [3/4]

cv::GMatDesc::GMatDesc | ( | int | d,
|  | std::vector< int > && | dd
| ) |  |
| inline

## ◆ GMatDesc() [4/4]

cv::GMatDesc::GMatDesc | ( |  | ) |
| inline

## Member Function Documentation

## ◆ asInterleaved()

GMatDesc cv::GMatDesc::asInterleaved | ( |  | ) | const
| inline

## ◆ asPlanar() [1/2]

GMatDesc cv::GMatDesc::asPlanar | ( |  | ) | const
| inline

## ◆ asPlanar() [2/2]

GMatDesc cv::GMatDesc::asPlanar | ( | int | planes | ) | const
| inline

## ◆ canDescribe() [1/2]

bool cv::GMatDesc::canDescribe | ( | const cv::gapi::own::Mat & | mat | ) | const

## ◆ canDescribe() [2/2]

bool cv::GMatDesc::canDescribe | ( | const cv::Mat & | mat | ) | const

## ◆ isND()

bool cv::GMatDesc::isND | ( |  | ) | const
| inline

## ◆ operator!=()

bool cv::GMatDesc::operator!= | ( | const GMatDesc & | rhs | ) | const
| inline

## ◆ operator==()

bool cv::GMatDesc::operator== | ( | const GMatDesc & | rhs | ) | const
| inline

## ◆ withDepth()

GMatDesc cv::GMatDesc::withDepth | ( | int | ddepth | ) | const
| inline

## ◆ withSize()

GMatDesc cv::GMatDesc::withSize | ( | cv::Size | sz | ) | const
| inline

## ◆ withSizeDelta() [1/2]

GMatDesc cv::GMatDesc::withSizeDelta | ( | cv::Size | delta | ) | const
| inline

## ◆ withSizeDelta() [2/2]

GMatDesc cv::GMatDesc::withSizeDelta | ( | int | dx,
|  | int | dy
| ) |  | const
| inline

## ◆ withType()

GMatDesc cv::GMatDesc::withType | ( | int | ddepth,
|  | int | dchan
| ) |  | const
| inline

## Member Data Documentation

## ◆ chan

int cv::GMatDesc::chan

## ◆ depth

int cv::GMatDesc::depth

## ◆ dims

std::vector<int> cv::GMatDesc::dims

## ◆ planar

bool cv::GMatDesc::planar

## ◆ size

cv::Size cv::GMatDesc::size

The documentation for this struct was generated from the following file:

- opencv2/gapi/gmat.hpp